You are here: Home » Aktuelle Meldungen » Meldung
Sorry, this page is not translated yet.
Meldung Nr: RUS-CERT-460

[Generic/OpenPGP] Schwächen in der Anzeige von User-IDs II
(2001-09-04 19:24:44+00) Druckversion


Im Zusammenhang mit einer Schwachstelle in NAI PGP wurden ähnliche Probleme in den 2er-Versionen von PGP sowie in GNU Privacy Guard entdeckt.

Betroffene Systeme
Systeme, die folgende Software verwenden, sind betroffen:

  • PGP 2.6.3in und vermutlich auch andere Versionen von PGP 2
  • GnuPG 1.0.6 (in abgeschwächter Form)
  • möglicherweise weitere OpenPGP-(Teil-)Implementierungen

Einfallstor
Import eines Schlüssels, der eine von einem (für das Opfer) vertrauenswürdigen Schlüssel zertifizierte User ID aufweist, oder eines Schlüssels, bei dem dieses Zertifikat bereits im Schlüsselring des Opfers vorhanden ist.

Auswirkung
PGP zeigt nur die unzertifizierte User-ID an, sobald sie als Haupt-User-ID erkannt wurde, GnuPG führt sie ohne Unterschied zu den zertifizierten auf (möglicherweise an erster Stelle). Das GnuPG-Listenformat für externe Programme, das mit der Option --with-colons (ohne --fixed-list-mode) aktiviert wird, liefert Daten, die für das externe Programm kaum mehr korrekt zu interpretieren sind.

Typ der Verwundbarkeit
interface design flaw

Gefahrenpotential
mittel bis hoch (bei GnuPG ohne Frontend sieht man in der Regel, daß etwas Seltsames vor sich geht).
(Hinweise zur Einstufung des Gefahrenpotentials.)

Beschreibung
Ähnlich wie bei der Schwachstelle in NAI PGP berücksichtigen PGP 2 (überhaupt nicht) und GnuPG (nur bedingt) den Fall, daß ein Schlüssel, der eine zertifizierte User-ID trägt, mit weiteren unzertifizierten User-IDs versehen sein kann. Es ist dabei möglich, daß eine unzertifizierte User-ID zur Haupt-User-ID erklärt wird. Da PGP 2.6.x beim Überprüfen einer Signatur nur die Haupt-User-ID anzeigt, kann dies zu einer erheblichen Fehleinschätzung der Bedeutung der Signatur führen. Bei GnuPG werden immerhin alle User-IDs angezeigt, es fehlt jedoch die Information, welche davon zertifiziert sind und welche nicht. Trotzdem kann man bei GnuPG im Falle eines Falles sicherlich erkennen, daß seltsame Dinge ablaufen: es werden widersprüchliche User-IDs zu einem betroffenen Schlüssel angezeigt. Dies gilt aber vermutlich nicht, falls Frontends eingesetzt werden, die den alten Listen-Modus (die Option --with-colons ohne --fixed-list-mode) verwenden, da die über diesen Kanal gelieferten Daten bereits dem Frontend eine falsche Lage vorgaukeln.

Gegenmaßnahmen

  • Externe Programme, die GnuPG aufrufen, sollten die Optionen --with-colons und --fixed-list-mode verwenden (und die gelieferten Daten auch vollständig und korrekt dem Benutzer mitteilen).
  • GnuPG wird in der Version 1.0.7 zumindest bei der Haupt-User-ID anzeigen, ob sie zertifiziert ist oder nicht.

(fw)

Weitere Artikel zu diesem Thema:

  • [NAI/PGP] Schwächen in der Anzeige von User-IDs I (2001-09-04)
    In den PGP-Versionen 5 bis 7 wurde eine Schwachstelle bei der Verarbeitung und Präsentation von Benutzerkennungen (user IDs) entdeckt, die es einem Angreifer ermöglichen, beliebige User IDs auf einem bereits zertifizierten Schlüssel als signiert auszugeben.

Hinweis
Die in diesem Text enthaltene Information wurde für die Mitglieder der Universität Stuttgart recherchiert und zusammengestellt. Die Universität Stuttgart übernimmt keinerlei Haftung für die Inhalte. Dieser Artikel darf ausschließlich in unveränderter Form und nur zusammen mit diesem Hinweis sowie dem folgenden Copyrightverweis veröffentlicht werden. Eine Veröffentlichung unter diesen Bedingungen an anderer Stelle ist ausdrücklich gestattet.

Copyright © 2017 RUS-CERT, Universität Stuttgart, https://cert.uni-stuttgart.de/

Vorherige Meldung Weitere Meldungen... Nächste Meldung

Bitte lesen Sie auch die Grundsätze, nach denen das RUS-CERT Tickermeldungen veröffentlicht. Der regelmäßige Bezug von Tickermeldungen über E-Mail und RSS-Feed ist ebenfalls möglich.